org.apache.cassandra.index.sasi.conf.view

## Class RangeTermTree.Term

- java.lang.Object
- - org.apache.cassandra.index.sasi.conf.view.RangeTermTree.Term

- All Implemented Interfaces:
    java.lang.Comparable<RangeTermTree.Term>
  Enclosing class:
    RangeTermTree

      protected static class RangeTermTree.Term
      extends java.lang.Object
      implements java.lang.Comparable<RangeTermTree.Term>

  This is required since IntervalTree doesn't support custom Comparator implementations and relied on items to be comparable which "raw" terms are not.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Term(java.nio.ByteBuffer term, AbstractType<?> comparator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(RangeTermTree.Term o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Term

          public Term(java.nio.ByteBuffer term,
                      AbstractType<?> comparator)

  - ### Method Detail

    - #### compareTo

          public int compareTo(RangeTermTree.Term o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<RangeTermTree.Term>`

Copyright © 2018 The Apache Software Foundation